Create a Pending Time Off

Creates a pending Time Off record

Authentication

This endpoint accepts any one of the following token types:

  • Employee-scoped access token (OAuth2Assertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant. See OAuth Assertion.
  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by the employee through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Employee-scoped access tokenManage timeoffs (time_and_attendance)-Manage timeoffs (timeoff:write)
Company-scoped access tokenManage timeoffs (time_and_attendance)-Manage timeoffs (timeoff:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Timeoff

Employee timeoff creation params

document
object

Timeoff document params

date
required

UTC date in ISO 8601 format

string
required
string
date
required

UTC date in ISO 8601 format

timeoff_days
array of objects
required
timeoff_days*
string
required
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json